Bug 182474 - net/tightvnc vncviewer can't handle null authentication
net/tightvnc vncviewer can't handle null authentication
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
Depends on:
  Show dependency treegraph
Reported: 2013-09-29 00:40 UTC by peter
Modified: 2014-08-11 18:35 UTC (History)
4 users (show)

See Also:

file.diff (320 bytes, patch)
2013-09-29 00:40 UTC, peter
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description peter 2013-09-29 00:40:00 UTC
	vncviewer rejects empty passwords and therefore can't be used with
	VNC sessions that don't require authentication.  Specifically,
	VBoxHeadless with the default null authentication still triggers
	vncviewer to request a password but vncviewer rejects an empty

	See also PR ports/182471

Fix: The following patch allows empty passwords to be entered.
	$ vncviewer server:6213
Connected to RFB server, using protocol version 3.8
Performing standard VNC authentication
Reading password failed
Comment 1 Edwin Groothuis freebsd_committer 2013-09-29 00:40:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Thomas Abthorpe freebsd_committer 2014-01-16 18:43:06 UTC
Responsible Changed
From-To: itetcu->freebsd-ports-bugs

Reassign to the heap
Comment 3 meta 2014-02-07 08:54:12 UTC
I'm not so comfortable to apply such a adhoc patch.
Anyway, I will look how other vnc viewers treat empty password.

`whois vmeta.jp | nkf -w`
meta <meta@vmeta.jp>
Comment 4 Mark Linimon freebsd_committer 2014-03-29 09:40:47 UTC
State Changed
From-To: open->feedback

This should have been set to feedback some time ago.
Comment 5 John Marino freebsd_committer 2014-07-11 23:30:21 UTC
Reassign to maintainer
Comment 6 John Marino freebsd_committer 2014-08-11 10:23:56 UTC
Strange, Koichiro IWAO is usually responsive.

Moving this to patch-ready.  Maintainer approval no longer needed due to multiple timeouts.  Assuming this patch is still valid..
Comment 7 John Marino freebsd_committer 2014-08-11 10:25:11 UTC
(In reply to meta from comment #3)
> I'm not so comfortable to apply such a adhoc patch.
> Anyway, I will look how other vnc viewers treat empty password.
> -- 
> `whois vmeta.jp | nkf -w`
> meta <meta@vmeta.jp>

Okay, so I see he did respond but never came up with a better patch, then didn't respond to the more recent ping.
Comment 8 commit-hook freebsd_committer 2014-08-11 18:33:31 UTC
A commit references this bug:

Author: pi
Date: Mon Aug 11 18:33:10 UTC 2014
New revision: 364635
URL: http://svnweb.freebsd.org/changeset/ports/364635

  net/tightvnc: allow null authentication

  PR:		182474
  Submitted by:	peter@rulingia.com
  Approved by:	meta@vmeta.jp (maintainer timeout)

Comment 9 Kurt Jaeger freebsd_committer 2014-08-11 18:34:47 UTC
The implications for this are still open for discussion, but the need
to allow vncviewer to connect to VBox is demostrated. If it needs to be
reverted, pointy hat to me.